Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22254

Description

The assistant fails to load values of a variable (length, real) from a particular layer.

Other variables (integers, strings) are loaded.

History

#1 - 2016-02-09 05:27 AM - Paolo Cavallini

- File strade.zip added

#2 - 2016-02-09 01:11 PM - Giovanni Manghi

- Status changed from Open to Feedback

it works if you use the same datatype but use a different column name... "LENGTH" looks like a reserved word.

#3 - 2016-02-09 11:54 PM - Paolo Cavallini

Good point. However, LENGTH is a valid column name in DBF, and I do not think we should impose additional limitations.

#4 - 2016-02-11 01:54 AM - Giovanni Manghi

- OS version deleted (Sid)

- Subject changed from  Line width size assistant fails to load values to  Line width size assistant fails to load values when column is name "LENGTH"

- Status changed from Feedback to Open

- Operating System deleted (Debian)

Paolo Cavallini wrote:

Good point. However, LENGTH is a valid column name in DBF, and I do not think we should impose additional limitations.

It is a bad practice anyway, I would not be contrary having QGIS not creating columns after any reserved word.

#5 - 2016-02-11 02:10 AM - Regis Haubourg

I think it is related to #14257. Can you test adding double quotes on field name "LENGTH" manually the size expression generated?
#6 - 2016-02-11 05:44 AM - Paolo Cavallini

I confirm that with quotes the expression is valid. I cannot check whether variable content is recognized.

I do not agree calling length (or area, etc.) is bad practice: field calc automatically add it.

#7 - 2016-02-11 07:19 AM - Regis Haubourg

Well, if postgres can be a reference implementation of SQL for us, user fields name is illegal as a SQL keyword when "user" is legal. 

Can we just focus on QGIS quoting correctly field names with capitalized , special characters or reserved keywords ?

#8 - 2016-02-11 09:07 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #14257

#9 - 2016-02-11 09:09 AM - Paolo Cavallini

- Status changed from Closed to Reopened

- Resolution deleted (duplicate)

Duplication is possible, but AFAIK not demonstrated. Better leave it open and close it after fix of #14257 and verification.

#10 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#11 - 2018-03-07 12:48 PM - Paolo Cavallini

- Status changed from Reopened to Closed

- Description updated

- Resolution set to fixed/implemented

Fixed now. Tested in QGIS 3.

Files

strade.zip 1.71 KB 2016-02-09 Paolo Cavallini
